APIs / Google Finance / Quote

Google Finance: Quote

Quote from Google Finance as JSON. 1 credit per successful call.

GET /v1/google-finance/quote

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
symbolstringRequiredUp to 20 characters
exchangestringOptionalAny
period_typestringOptionalquarterly, annual
hlstringOptionalUp to 10 characters
glstringOptionalUp to 10 characters

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/google-finance/quote?symbol=AAPL&exchange=NASDAQ" \
  -H "X-API-Key: $API_KEY"

Run this endpoint in the playground with your own parameters. 1 credit per successful call; failed calls are free.